Asset

Assets represent individual real-world objects stored in the system, such as a specific vehicle or person, and geospatial objects, such as a POI or geofence.

Asset object

Asset endpoints

List assets

get
/v0/asset/list

Returns all assets available to the organization

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Query parameters
qstringOptional

A search query string

limitinteger · int32 · max: 1000Optional

Maximum number of items to return (default: 100, max: 1000)

offsetinteger · int32Optional

The index of the first item to return (default: 0)

sortstringOptional

Sort expression. Supports one or more fields, optionally prefixed with - to indicate descending order. For example, label,-created_at

Responses
chevron-right
200

List of assets

application/json

Defines the response schema for /*/list

has_morebooleanRequired

Indicates whether more items are available beyond the current page. When false, the current result set is the final one

get
/v0/asset/list

List assets with advanced filtering

post
/v0/asset/list

Returns all assets available to the organization with advanced filtering options

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Body
qstringOptional

A search query string

limitinteger · int32 · max: 1000Optional

Maximum number of items to return

Default: 100
offsetinteger · int32Optional

The index of the first item to return

Default: 0
sortstringOptional

Sort expression. Supports one or more fields, optionally prefixed with - to indicate descending order. For example, label,-created_at

Responses
chevron-right
200

List of assets

application/json

Defines the response schema for /*/list

has_morebooleanRequired

Indicates whether more items are available beyond the current page. When false, the current result set is the final one

post
/v0/asset/list

Create a new asset

post
/v0/asset/create

Adds an asset for the organization

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Body

Defines the request schema for /asset/create

type_idinteger · int64Required

Unique identifier for the asset's type

Example: 12
labelstringRequired

The asset’s title/name

Example: Aspen V6 GTX
Responses
chevron-right
200

Asset created successfully

application/json

Response containing the unique identifier of the created resource

idinteger · int64Required

Unique identifier for the created resource

post
/v0/asset/create

Get asset by ID

get
/v0/asset/read

Returns an asset's data by ID

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Query parameters
idinteger · int64Required

Unique identifier for the asset

Responses
chevron-right
200

Asset details

application/json

The Asset object

idinteger · int64Required

Unique identifier for the asset

Example: 21
type_idinteger · int64Required

Unique identifier for the asset's type

Example: 12
labelstringRequired

The asset’s title/name

Example: Aspen V6 GTX
created_atstring · date-timeRequired

Date and time at which the asset was created

Example: 2025-06-30T06:46:10Z
get
/v0/asset/read

Update an existing asset

post
/v0/asset/update

Updates the information of an existing asset

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Body

Defines the request schema for /asset/update

idinteger · int64Required

Unique identifier for the asset

Example: 21
labelstringRequired

The asset’s title/name

Example: Aspen V6 GTX
Responses
post
/v0/asset/update

No content

Delete an asset

post
/v0/asset/delete

Deletes the specified asset by its ID

Authorizations
OAuth2authorizationCodeRequired

OAuth 2.0 authentication for Europe. Use this for users based in Europe and adjacent regions.

Authorization URL: Token URL: Refresh URL:
Body
idinteger · int64Required

Unique identifier for the recourse

Responses
post
/v0/asset/delete

No content

Last updated

Was this helpful?